v.lrs.segment(1)

NAME
v.lrs.segment - Create points/segments from input lines, linear reference system and positions read from stdin or a file

KEYWORDS
vector, LRS, networking

SYNOPSIS
v.lrs.segment
v.lrs.segment help
v.lrs.segment input=name output=name [llayer=integer] [rsdriver=string] [rsdatabase=string] rstable=string [file=name] [--overwrite]

  Flags:

--overwrite

  Parameters:

input=name
    Input vector map containing lines

output=name
    Output vector map where segments will be written

llayer=integer
    Line layer Default: 1

rsdriver=string
    Driver name for reference system table

rsdatabase=string
    Database name for reference system table

rstable=string
    Name of the reference system table

file=name
    Name of file containing segment rules. If not given, read from stdin

DESCRIPTION
v.lrs.segment creates points/segments from input lines, linear reference system and positions read from standard in or a file.

The format is as follows:
P <point_id> <line_id> <;milepost>;+<;offset>; [<;side offset>;]
L <segment_id> <line_id> <;milepost>;+<;offset>; <;milepost>;+<;offset>; [<;side offset>;]

NOTES
For more information and examples see the help page for v.lrs.segment's sister module, v.segment.

SEE ALSO
LRS tutorial,
Introducing the Linear Reference System in GRASS,
v.lrs.create, v.lrs.where, v.lrs.label, v.segment

AUTHOR
Radim Blazek

Last changed: $Date: 2007/06/28 15:42:47 $

Full index